Page MenuHome

Can't perform viewport navigation with left mouse button and active manipulator
Closed, ResolvedPublic

Description

System Information
Intel Core i7, 8 Gb RAM, AMD Radeon HD 7700
Windows 7 x64
Intel Core Q6600, 8Gb RAM, NVidia GTX960
Windows 7 x64

Blender Version
Broken: latest 2.8 builds up to 957b4547aeeb
Worked: 2.79b and all previous versions

Short description of error
Currently it isn't possible to properly rotate or do any other viewport navigation with left mouse button while it's hovering over rotation or universal manipulator.

Exact steps for others to reproduce the error

  1. Start Blender, go to Preferences -> Keymap -> 3D View -> 3D View (Global) and set any combination of viewport controls with left mouse button in it. Just like most people I use Maya control scheme so you can assign Alt+Left for rotating, Alt+Right for scaling and Alt+Middle for panning.
  2. Select default Cube, Enable Rotate or Transform (universal) manipulator, hover your mouse over it and try to perform an operation (in my case rotation) with Alt+Left mouse button.
  • In 2.79b you will be able to rotate properly without any problems.
  • In 2.8 it will perform dragging or rotating or something else, in another words, it will activate the manipulator instead of activating viewport operation. The same thing doesn't happen with right and middle mouse buttons (you will be able to scale and pan with your right and middle mouse over manipulator but not with left mouse).

There is also a similar problem with assigning left mouse button to perform dragging for rectangular selection but I've heard there was some kind of workaround by sacrificing something called "3D View Tool Transform from Gizmo" and all 3D View Tool (Move, Rotate, Scale) tweaking functionality. It seems like you have to sacrifice a lot of tools just to restore essential basic functionality so I don't think it's a good solution to leave it like that.

I'm aware that there was a topic somewhere about substituting Alt+Left Mouse with Middle Mouse somehow but that will mean we'll have to sacrifice even more shortcuts and functions just to be able to do basic things. I have tried to find a workaround by disabling almost everything associated with Alt+Left Mouse button but it just doesn't seem to work.

Overall I'm not sure if this is a bug or not but it feels that something is seriously wrong with most of the functions associated with left mouse so it definitely requires attention.

Event Timeline

I've got a Feb 4th build, on a Mac and I'm not seeing that.
I can rotate with manipulator, move off of the manipulator and rotate view.

Sebastian Parborg (zeddb) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Feb 11 2019, 3:07 PM

@Alex (SpectreFirst) is this still an issue for you?

Alex (SpectreFirst) added a comment.EditedFeb 12 2019, 7:10 AM

Yes, I have tested the latest 036ec5cae4f and the problem is still there - I cannot rotate or do any other viewport navigation with the left mouse button while hovering the mouse cursor over Rotation or Transform manipulator - it still performs rotation or dragging depending on where I point the mouse at. I have tested this on multiple computers with Windows 7 and Windows 10 so it's definitely not an issue on a particular computer.

Sebastian Parborg (zeddb) raised the priority of this task from Needs Information from User to Confirmed, Medium.

Was this never resolved? It seems to still be an issue in the latest version. I'm a long-time Maya user who has been enjoying Blender quite a bit, but because of this issue, I usually just turn the manipulator off and perform transformations with middle mouse snapping.

The issue is this:

It activates the gizmo using 'Any' modifier key. AFAIK, the gizmo keycaps themselves are not actually part of the keymaps, but are set elsewhere. @Campbell Barton (campbellbarton) Could you tell me where this is set?
Cheers

Yes thanks! I found this shortly after making my remark. I realized this must've already been resolved. Since my hotkeys are custom, it never would've reset these options. Everything's working great and as-intended. Love the Gizmo. Thanks guys ^_^

This issue doesn't appear in the default keymap and I have now resolved it in the Industry Compatible keymap by setting the Gizmo Tweak to Any=False.

I consider this issue solved.

Just in case, I will duplicate my observation here - I've tested the latest 2.8 and while this seems to be solved for separate manipulators, it's still an issue for the Universal manipulator! Is there a way to fix this for Universal as well?

Alex (SpectreFirst) added a comment.EditedMay 14 2019, 2:28 PM

I’m reopening this because I have found another way to reproduce this issue. Looks like there are two conflicting options – the ability to choose manipulator from the left menu and from the top menu. Manipulators from the left menu seem to behave properly for the most part but there is no option to select Universal now (trying to press multiple buttons with Shift like we did before doesn’t seem to work either) while selecting manipulators from top menu works fine because we can select any combination and activate Universal but if we do it that way, combinations with LMB stop working.

  1. Open Blender, choose Industry Compatible shortcut scheme
  2. Choose Select Box or Cursor tool from the left panel.
  3. Activate any combination of manipulators from Gizmos drop-down list. Now you should be able to see Move (Rotate, Scale, Universal) manipulator on default Cube despite them being inactive on the left menu.
  4. Point at the manipulator and try to rotate using Alt+LMB or select by Shift+LMB. Just like before, it will perform tweaking action instead of the intended action.
  5. If you will try to select the same manipulator from the left menu as well it will stop working properly as well.

Alex (SpectreFirst) reopened this task as Open.May 14 2019, 5:00 PM